View Issue Details

IDProjectCategoryView StatusLast Update
0002569FreeCADBugpublic2017-03-07 18:36
ReportermicrendaAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS VersionJessie 64bit
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002569: Documents containing cyclic deps can not be opened
DescriptionFreeCAD makes a good job avoiding to create cyclic dependencies.
Unfortunately I was able to find a way to create them and after saving them, it is impossible to open the saved document.

It is possible it is a failure of the "rename object" functionality, who is not updating the reference on renaming.
Steps To Reproduce1) Open the attached FreeCAD project (it is a very simple project with 3 shapes)
2) Rename "c2" to "c3"
3) Rename "c1" to "c2"
4) Rename "c3" to "c1"
Additional InformationOS: Debian GNU/Linux 8.4 (jessie)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6703 (Git)
Build type: Unknown
Branch: releases/FreeCAD-0-16
Hash: 2ce5c8d2e3020d05005ed71f710e09e9aa561f40
Python version: 2.7.9
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

micrenda

2016-05-30 11:22

reporter  

test_case.fcstd (Attachment missing)

DeepSOIC

2016-05-30 11:48

developer   ~0007128

forum thread:
http://forum.freecadweb.org/viewtopic.php?f=3&t=15944

Kunda1

2017-03-07 18:12

manager   ~0008571

@micrenda can you test the changes that wmayer made in c:FreeCAD:76548e98: ?

Kunda1

2017-03-07 18:34

manager   ~0008572

Per @DeepSOIC in https://forum.freecadweb.org/viewtopic.php?p=163982#p163982
[quote=DeepSOIC]The file opens fine, and I can view dependency graph. It seems that FreeCAD now removes some information to unloop the cyclic dependency, which it reports in report view:

[code=text]Exception while processing file: C:/Users/User/AppData/Local/Microsoft/Windows/INetCache/IE/H8EA7C0N/phone_holder.fcstd [sep.Length reference creates a cyclic dependency.]
[/code]

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10423 (Git)
Build type: Release
Branch: master
Hash: 45bf8ed91ed1bd65d7c5750685f8c435c9b092cf
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0[/quote]

Issue History

Date Modified Username Field Change
2016-05-30 11:22 micrenda New Issue
2016-05-30 11:22 micrenda File Added: test_case.fcstd
2016-05-30 11:48 DeepSOIC Note Added: 0007128
2016-05-30 17:00 wmayer Changeset attached => FreeCAD Master master 76548e98
2016-05-31 13:44 wmayer Assigned To => eivindkvedalen
2016-05-31 13:44 wmayer Status new => assigned
2017-03-07 18:12 Kunda1 Note Added: 0008571
2017-03-07 18:34 Kunda1 Note Added: 0008572
2017-03-07 18:36 Kunda1 Assigned To eivindkvedalen => wmayer
2017-03-07 18:36 Kunda1 Status assigned => closed
2017-03-07 18:36 Kunda1 Resolution open => fixed
2017-03-07 18:36 Kunda1 Fixed in Version => 0.17